com.datecs.linea

## Class LineaProInformation

- java.lang.Object
- - com.datecs.linea.LineaProInformation

-     public class LineaProInformation
      extends java.lang.Object

  This class represents the various LineaPro device information.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineaProInformation` | `create(byte[] data)` Create instance of this class from binary data.
    `byte[]` | `getData()` Get the creation data.
    `java.lang.String` | `getManufacturer()` Get device manufacturer.
    `java.lang.String` | `getModel()` Get device model.
    `java.lang.String` | `getName()` Get device name.
    `java.lang.String` | `getSerialNumber()` Get Device serial number.
    `java.lang.String` | `getVersion()` Device firmware version.
    `boolean` | `hasBarcodeEngine()` Get if device has barcode engine.
    `boolean` | `hasEncryptedMagneticHead()` Get if device has encrypted magnetic head.
    `boolean` | `hasExternalSpeaker()` Get if device has external speaker.
    `boolean` | `hasIntermecEngine()` Get if device has Intermec barcode engine.
    `boolean` | `hasLED()` Get if device has LED panel.
    `boolean` | `hasMagneticHead()` Get if device has any magnetic head.
    `boolean` | `hasNewlandEngine()` Get if device has Newland barcode engine.
    `boolean` | `hasOpticodeEngine()` Get if device has Opticon barcode engine.
    `boolean` | `hasStandardMagneticHead()` Get if device has standard magnetic head.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static LineaProInformation create(byte[] data)

      Create instance of this class from binary data.
      Parameters:
        `data` - the data.
      Returns:
        device information.

    - #### getData

          public byte[] getData()

      Get the creation data.
      Returns:
        the data.

    - #### getSerialNumber

          public java.lang.String getSerialNumber()

      Get Device serial number.
      Returns:
        device serial number.

    - #### getManufacturer

          public java.lang.String getManufacturer()

      Get device manufacturer.
      Returns:
        device manufacturer.

    - #### getName

          public java.lang.String getName()

      Get device name.
      Returns:
        device name.

    - #### getModel

          public java.lang.String getModel()

      Get device model.
      Returns:
        device model.

    - #### getVersion

          public java.lang.String getVersion()

      Device firmware version.
      Returns:
        firmware version.

    - #### hasOpticodeEngine

          public boolean hasOpticodeEngine()

      Get if device has Opticon barcode engine.
      Returns:
        true if device has Opticon barcode engine.

    - #### hasNewlandEngine

          public boolean hasNewlandEngine()

      Get if device has Newland barcode engine.
      Returns:
        true if device has Opticon barcode engine.

    - #### hasIntermecEngine

          public boolean hasIntermecEngine()

      Get if device has Intermec barcode engine.
      Returns:
        true if device has Intermec barcode engine.

    - #### hasBarcodeEngine

          public boolean hasBarcodeEngine()

      Get if device has barcode engine.
      Returns:
        if device has barcode engine.

    - #### hasEncryptedMagneticHead

          public boolean hasEncryptedMagneticHead()

      Get if device has encrypted magnetic head.
      Returns:
        if device has encrypted magnetic head.

    - #### hasStandardMagneticHead

          public boolean hasStandardMagneticHead()

      Get if device has standard magnetic head.
      Returns:
        if device has standard magnetic head.

    - #### hasMagneticHead

          public boolean hasMagneticHead()

      Get if device has any magnetic head.
      Returns:
        true if device has any magnetic head.

    - #### hasExternalSpeaker

          public boolean hasExternalSpeaker()

      Get if device has external speaker.
      Returns:
        true if device has external speaker.

    - #### hasLED

          public boolean hasLED()

      Get if device has LED panel.
      Returns:
        true if device has LED panel.